<template>
  <div class="text-center form-signin">
    <form>
      <h1 class="h3 mb-3 font-weight-normal">Please sign in</h1>
      <input
        type="text"
        id="inputEmail"
        class="form-control mb-3"
        placeholder="Username"
        v-model="username"
      />
      <input
        type="password"
        id="inputPassword"
        class="form-control mb-3"
        placeholder="Password"
        required=""
        v-model="password"
      />
    </form>
    <button
      class="btn btn-lg btn-primary btn-block"
      style="font-size: 1rem"
      @click="onSubmit()"
    >
      Sign in
    </button>
  </div>
</template>

<script>
import axios from "axios";

export default {
  name: "Login",
  data() {
    return {
      username: null,
      password: null,
    };
  },
  methods: {
    async onSubmit() {
      const formData = new FormData();
      formData.append("username", this.username);
      formData.append("password", this.password);
      try {
        await axios
          .post("/api/users/login", formData)
          .then((response) => {
            
            localStorage.setItem("token", response.data.data.token)
            if (response.data.status_code == 200) {
              this.$router.push("profile");
            }
          });
      } catch (error) {
        console.log(error);
      }
    },
    
  },
};
</script>

<style lang="scss" scoped>
.form-signin {
  width: 100%;
  max-width: 330px;
  padding: 15px;
  margin: 0 auto;
  position: absolute;
  right: 25%;
  left: 25%;
  top: 25%;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  border-style: outset;
}
</style>